### Method

# Foundry Context dup_build_system

#### Declaration [src]

    char*
    foundry_context_dup_build_system (
      FoundryContext* self
    )

#### Description [src]

Gets the name of the build system to use.

First the settings are checked. If set, that is preferred. After that, the configuration is checked to see if it specifies a build system.

Otherwise, `NULL` is returned.

Build addins can also affect which build system is used and you may check what the build pipeline thinks should be the build system (which checks this value) by using `FoundryBuildPipeline:build-system`.

#### Return value

Type: `char*`

A build-system name or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.